FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202202152218.p0.gcbe45ae.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202152218.p0.gcbe45ae.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cbe45ae OS_GIT_VERSION=4.8.0-202202152218.p0.gcbe45ae.assembly.stream-cbe45ae SOURCE_DATE_EPOCH=1644944681 SOURCE_GIT_COMMIT=cbe45ae197caf5a4ded86b9d6c81d719695a8fdc SOURCE_GIT_TAG=cbe45ae1 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build-diskmaker

FROM openshift/ose-base:v4.8.0.20220215.234309
ENV __doozer=update BUILD_RELEASE=202202152218.p0.gcbe45ae.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202152218.p0.gcbe45ae.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cbe45ae OS_GIT_VERSION=4.8.0-202202152218.p0.gcbe45ae.assembly.stream-cbe45ae SOURCE_DATE_EPOCH=1644944681 SOURCE_GIT_COMMIT=cbe45ae197caf5a4ded86b9d6c81d719695a8fdc SOURCE_GIT_TAG=cbe45ae1 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 

COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/diskmaker /usr/bin/
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/deploy/scripts /scripts
COPY manifests /manifests

RUN yum install -y e2fsprogs xfsprogs && yum clean all && rm -rf /var/cache/yum

ENTRYPOINT ["/usr/bin/diskmaker"]

LABEL \
        io.k8s.display-name="OpenShift local storage diskmaker" \
        io.k8s.description="This is a component of OpenShift and manages local disks." \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-diskmaker" \
        com.redhat.component="local-storage-diskmaker-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202202152218.p0.gcbe45ae.assembly.stream" \
        io.openshift.build.commit.id="cbe45ae197caf5a4ded86b9d6c81d719695a8fdc" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/cbe45ae197caf5a4ded86b9d6c81d719695a8fdc" \
        version="v4.8.0"

